Subject: bug#58176: 29.0.50; mouse-set-point region flicker with highlight-nonselected-windows=t and same buffer in two windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2022 12:58:44 +0300

> From: <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 01 Oct 2022 12:00:43 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> (I'm assuming that by "show regions of zero length", you mean that the
> >> "Copy text" toolbar icon is enabled.)
> >
> > No, we actually attempt to display zero-length regions in the text.
> 
> Maybe there's something obvious I'm missing, but in a graphical emacs
> -q, I can't see a zero length active region in the text at all. That is,
> after activating it with C-SPC or a non-dragging mouse-1 button press, I
> can't see a single pixel around point changing to indicate the region. I
> even tried it after considerably enlarging the font with 'C-x C-+ + + +
> + ...'.
> 
> (On the other hand, zero-length rectangular regions, created with C-x
> SPC, are properly indicated with a thin vertical line, but we aren't
> talking about rectangular regions here.)

I was talking about what we show for zero-width rectangular regions,
yes.

> In essence, my patch tries to make behaviour of mouse-1 region
> activation more similar to C-M-mouse-1 rectangular region activation.

Sorry, I'm not convinced.